<?php
	$loginname = trim($_REQUEST["loginname"]);
	$password = trim($_REQUEST["password"]);
	$userid = $_SESSION["userid"];
	if ($userid=="") {
		$userid=$_REQUEST["userid"];
	}
	if ($userid=="") {
		if ($loginname=="") {
			ob_clean();
			header("Location: query2.html");
			exit;
		}
	}
?>

<?php
include "check.inc";
?>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta http-equiv="Content-Language" content="zh-cn">
<title>上网清单查询</title>
</head>

<body background="bkg.bmp">

<p align="center"><font size="5"><b>上网清单</b></font></p>
<hr color="#999966">

<p align="center">
<?php
	$db=mysql_pconnect(get_cfg_var("SIPSERVER"),get_cfg_var("SIPUSER"),get_cfg_var("SIPPWD"));
	mysql_select_db(get_cfg_var("SIPDB"),$db);
	$usertype="";
	$price=0;
	$money=0;
	$addtime="";
	if ($userid=="") {
		if ($loginname!="" && $password!="") {
			$rs = mysql_query("select userid,password from users where loginname='".$loginname."' and checked='n'",$db);	//取该用户开号数据
			if ($row = mysql_fetch_array($rs)) {
				if ($password!=$row["password"]) {
					echo("用户密码错误！");
				} else {
					$userid=$row["userid"];
				}
			} else {
				echo("不存在此用户ID！");
			}
			mysql_free_result($rs);
		} else {
			echo("必须输入用户ID和密码，或者登录后，才能查询上网清单！");
		}
	}
	if ($userid!="") {
		$pagecount=20;		//每页显示多少条记录
		$str=$_REQUEST["pageno"];
		if ($str=="") {
			$str="1";
		}
		$page_no=intval($str);			//当前显示页号，因为可能需要多页显示
		$rs = mysql_query("select users.loginname,users.type,users.addtime,users.suspendtime,users.prepay,types.price from users,types where users.type=types.name and users.userid='".$userid."' and users.checked='n'",$db);	//取该用户开号数据
		if ($row = mysql_fetch_array($rs)) {
			$loginname=$row[0];
			$usertype=$row[1];
			$addtime=$row[2];
			$suspendtime=$row[3];
			$prepay=$row[4];
			$price=$row[5];
			if (is_null($suspendtime)) {
				$suspendtime="";
			}
		}
		mysql_free_result($rs);
		if ($usertype=="天") {		//天类型，检查是否特殊房间（备有电脑）
			$rs = mysql_query("select price from rooms where loginname='".$loginname."'",$db);
			if ($row = mysql_fetch_array($rs)) {
				$price=$row[0];		//取该房间的特殊单价
			}
			mysql_free_result($rs);
		}
		$count=0;
		$alltime=0;
		$alllength=0;
		$allpage=0;
		$rs = mysql_query("select count(userid) as allcount,sum(usetime) as alltime,sum(datalength) as alllength from history where userid='".$userid."'",$db);	//读取该用户上网记录
		//计算总记录数，计算共有多少页。总共时间，总共流量。
		if ($row = mysql_fetch_array($rs)) {			//有记录
			$count=$row["allcount"];
			$alltime=$row["alltime"];
			$alllength=$row["alllength"];
		}
		mysql_free_result($rs);
		if ($count<1) {
			echo("您暂时还没有上网清单！");
		} else {
			$allpage=(int)($count/$pagecount);
			if ($allpage*$pagecount<$count) {		//不是整除
				$allpage=$allpage+1;
			}
			if ($page_no>$allpage) {
				echo("页号超出记录范围!");
			}
			else {
				$rs = mysql_query("select ipaddr,starttime,endtime,usetime,datalength from history where userid='".$userid."' order by starttime",$db);
				if ($row = mysql_fetch_array($rs)) {			//有记录
					$n=1;
					while ($row && $n<=($page_no-1)*$pagecount) {		//移动行号直到当前页对应起始行号位置
						$row = mysql_fetch_array($rs);
						$n=$n+1;
					}
					if ($row) {
						echo("<table border='1' bordercolor='#808080' cellspacing='0' cellpadding='0'>");
						echo("<tr><td>序号</td><td>IP地址</td><td>开始时间</td><td>结束时间</td><td>使用时间(秒)</td><td>流量(K)</td></tr>");
						while ($row && $n<=$page_no*$pagecount) {		//显示当前页记录
							echo("<tr>");
							echo("<td>".strval($n)."</td>");
							echo("<td>".$row["ipaddr"]."</td>");
							echo("<td>".$row["starttime"]."</td>");
							echo("<td>".$row["endtime"]."</td>");
							echo("<td>".strval($row["usetime"])."</td>");
							echo("<td>".strval($row["datalength"])."</td>");
							echo("</tr>");
							$row = mysql_fetch_array($rs);
							$n=$n+1;
						}
						mysql_free_result($rs);
						if ($page_no==$allpage) {		//最后一页，显示当前正在上网的记录
							$rs = mysql_query("select logintime from login where userid='".$userid."'",$db);
							if ($row = mysql_fetch_array($rs)) {			//有记录
								$loginedtime=DateDiff("s",strtotime($row["logintime"]),time());
								$alltime=$alltime+$loginedtime;
								echo("<tr>");
								echo("<td>".strval($n)."</td>");
								echo("<td>正在上网</td>");
								echo("<td>".$row["logintime"]."</td>");
								echo("<td>未结束</td>");
								echo("<td>".strval($loginedtime)."</td>");
								echo("<td>未结束</td>");
								echo("</tr>");
							}
							mysql_free_result($rs);
						}
						echo("</table><br>");
						echo("总上网时间：".strval($alltime)." 秒，总流量：".strval($alllength)." K。<br>");

						$alllength=round($alllength/1024,2);		//换算成M为单位，只保留小数点后2位
						$money=CheckMoney($db,$userid,$usertype,$price,$addtime,$alltime,$alllength,$suspendtime);

						$alltimestr=strval($alltime);
						if ($usertype=="流量(M)" || $usertype=="流量(G)") {
							$alltimestr=strval($alllength);
						}
						if ($usertype=="天") {
							$alltimestr=$alltimestr."天";
						} elseif ($usertype=="小时") {
							$alltimestr=$alltimestr."小时";
						} elseif ($usertype=="分钟") {
							$alltimestr=$alltimestr."分钟";
						} elseif ($usertype=="包月") {
							$alltimestr=$alltimestr."月";
						} elseif ($usertype=="年") {
							$alltimestr=$alltimestr."年";
						} elseif ($usertype=="流量(M)") {
							$alltimestr=$alltimestr."M";
						} elseif ($usertype=="流量(G)") {
							$alltimestr=$alltimestr."G";
						} else {
						}
						echo("计费类型：".$usertype."，累计费用数量：".$alltimestr."，单价：".strval($price)."元 ，当前累计费用：".strval($money)."元，预付押金：".strval($prepay)."元。<br>");
						
						echo("<form method=GET action=query2.php><input type=hidden name=userid value=".$userid.">");
						echo("第 ".strval($page_no)." 页，共 ".strval($allpage)." 页。");
						if ($page_no>1) {			//有前一页
							echo("<a href=query2.php?userid=".$userid."&pageno=".strval($page_no-1).">前一页</a>");
						}
						if ($page_no<$allpage) {	//有后一页
							echo(" <a href=query2.php?userid=".$userid."&pageno=".strval($page_no+1).">后一页</a>");
						}
						if ($allpage>2) {	//超过2页
							echo(" 到<input type=text size=3 name=pageno maxlength=3>页");
						}
						echo("</form>");
					} else {
						mysql_free_result($rs);
						echo("页号已经超出记录范围!");
					}
				} else {
					mysql_free_result($rs);
					echo("您还没有上网记录!");
				}
			}
		}
	}
	mysql_close($db);
?>
</p>

<hr>
<p align="center">SIP酒店上网计费管理系统</p>
<p align="center">作者：<b>深圳市飞沃软件有限公司</b></p>

</body>

</html>
